YPINIT(8)

NAME
ypinit - build and install NIS database

SYNOPSIS
/usr/etc/yp/ypinit -m

/usr/etc/yp/ypinit -s master_name

DESCRIPTION

ypinit sets up a Network Information Service (NIS) database on an NIS server. It can be used to set up a master or a slave server. You must be the super-user to run it. It asks a few, self-explanatory questions, and reports success or failure to the terminal.

It sets up a master server using the simple model in which that server is master to all maps in the data base. This is the way to bootstrap the NIS system; later if you want you can change the association of maps to masters.

Note:
    If there are both 3.x and 4.x NIS servers running in the network, the 4.x server should be configured as the master.

All databases are built from scratch, either from information available to the program at runtime, or from the ASCII data base files in /etc. These files are listed below under FILES. All such files should be in their “traditional” form, rather than the abbreviated form used on client machines.

An NIS database on a slave server is set up by copying an existing database from a running server. The master_name argument should be the hostname of an NIS server (either the master server for all the maps, or a server on which the data base is up-to-date and stable).

Read ypfiles(5) and ypserv(8) for an overview of the NIS service.

OPTIONS

-m  Indicate that the local host is to be the NIS master.

-s  Set up a slave database.

FILES
/etc/passwd
/etc/group
/etc/hosts
/etc/networks
/etc/services
/etc/protocols
/etc/ethers

SEE ALSO
ypfiles(5), makedbm(8), ypmake(8), yppush(8), ypserv(8), ypxfr(8)

NOTES

The Network Information Service (NIS) was formerly known as Sun Yellow Pages (YP). The functionality of the two remains the same; only the name has changed. The name Yellow Pages is a registered trademark in the United Kingdom of British Telecommunications plc, and may not be used without permission.